Name:           python-safety
Version:        2.3.5
Release:        %mkrel 2
Summary:        Checks installed dependencies for known vulnerabilities and licenses
Group:          Development/Python

License:        MIT
URL:            https://github.com/pyupio/safety
Source:         %{pypi_source safety}
Patch0:         0001-Relax-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Safety checks Python dependencies for known security vulnerabilities and
suggests the proper remediations for vulnerabilities detected. Safety can be run
on developer machines, in CI/CD pipelines and on production systems.}


%description %_description

%package -n     python3-safety
Summary:        %{summary}

%description -n python3-safety %_description


%prep
%autosetup -p1 -n safety-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files safety


%check
%pyproject_check_import
%pytest -k "not check_live and not check_live_cached and not announcements_if_is_not_tty"


%files -n python3-safety -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE
%{_bindir}/safety


%changelog
* Fri Dec 29 2023 papoteur <papoteur> 2.3.5-2.mga10
+ Revision: 2023757
- rebuild for python 3.12

* Thu Sep 21 2023 papoteur <papoteur> 2.3.5-1.mga10
+ Revision: 1989065
- imported for python-cookiecutter
- imported package python-safety

